<html>
<head>
<title>Ogre::RenderQueue::RenderQueueGroupMap Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html">RenderQueueGroupMap</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::RenderQueue::RenderQueueGroupMap Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::RenderQueue::RenderQueueGroupMap" -->
<p><code>#include &lt;<a class="el" href="OgreRenderQueue_8h_source.html">OgreRenderQueue.h</a>&gt;</code></p>

<p><a href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap_1_1iterator.html">iterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap_1_1value__type.html">value_type</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#af4fe0c695ef8be1b98257188ec9f3ea6">key_type</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1RenderQueueGroup.html">RenderQueueGroup</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#adac14e31c7638704e307ce0f8c3839de">mapped_type</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap_1_1value__type.html">value_type</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#a463c524952c8d1b82e9abfa4084d2716">reference</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap_1_1value__type.html">value_type</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#a357a5f81804f7101b3de17d68d080e0a">pointer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef const <a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap_1_1value__type.html">value_type</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#a17ebdda6ce67602d0fb09deff3d262c8">const_reference</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef const <a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap_1_1value__type.html">value_type</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#ac0863258f4002e466210c77b5b9da73b">const_pointer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap_1_1value__type.html">value_type</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#ae2839e91c9aa216a7cbabdb8cd4b0599">GroupVector</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef const <a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap_1_1iterator.html">iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#a4b619649e7e23c4d1882c609b741d53f">const_iterator</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#ab0333da5f66027e4242721d00f498cd9">RenderQueueGroupMap</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#a17731b1d6c673342f896517a81afdb0f">insert</a> (<a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap_1_1value__type.html">value_type</a> v)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap_1_1iterator.html">iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#a0da6f5381814fe5173f63016d9c27c49">find</a> (<a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> key)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap_1_1iterator.html">iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#a460eb2da82a3d0b35cb03402faef6d52">begin</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap_1_1iterator.html">iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#a1851bb38e49b158195686920f13f2c09">end</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#a4b619649e7e23c4d1882c609b741d53f">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#af2e0bfdbf8a7e1fa2246c8955dbf081a">begin</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#a4b619649e7e23c4d1882c609b741d53f">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#acdf7e28a39f67f92e042ab81daa552d5">end</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#a9003a4f2d9e51418c009ee344bcc925e">clear</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#a4bb3cfbdf6932a106ad5734ff345734a">mMinID</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#a762fda1b2d912eaa507511a94a02e338">mMaxID</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#ae2839e91c9aa216a7cbabdb8cd4b0599">GroupVector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#ac602d6b828a5817142e2598e4daf86c1">mGroupVector</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreRenderQueue_8h_source.html#l00096">96</a> of file <a class="el" href="OgreRenderQueue_8h_source.html">OgreRenderQueue.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a4b619649e7e23c4d1882c609b741d53f"></a><!-- doxytag: member="Ogre::RenderQueue::RenderQueueGroupMap::const_iterator" ref="a4b619649e7e23c4d1882c609b741d53f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef const <a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap_1_1iterator.html">iterator</a> <a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#a4b619649e7e23c4d1882c609b741d53f">Ogre::RenderQueue::RenderQueueGroupMap::const_iterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueue_8h_source.html#l00237">237</a> of file <a class="el" href="OgreRenderQueue_8h_source.html">OgreRenderQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac0863258f4002e466210c77b5b9da73b"></a><!-- doxytag: member="Ogre::RenderQueue::RenderQueueGroupMap::const_pointer" ref="ac0863258f4002e466210c77b5b9da73b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef const <a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap_1_1value__type.html">value_type</a>* <a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#ac0863258f4002e466210c77b5b9da73b">Ogre::RenderQueue::RenderQueueGroupMap::const_pointer</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueue_8h_source.html#l00119">119</a> of file <a class="el" href="OgreRenderQueue_8h_source.html">OgreRenderQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a17ebdda6ce67602d0fb09deff3d262c8"></a><!-- doxytag: member="Ogre::RenderQueue::RenderQueueGroupMap::const_reference" ref="a17ebdda6ce67602d0fb09deff3d262c8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef const <a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap_1_1value__type.html">value_type</a>&amp; <a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#a17ebdda6ce67602d0fb09deff3d262c8">Ogre::RenderQueue::RenderQueueGroupMap::const_reference</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueue_8h_source.html#l00118">118</a> of file <a class="el" href="OgreRenderQueue_8h_source.html">OgreRenderQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae2839e91c9aa216a7cbabdb8cd4b0599"></a><!-- doxytag: member="Ogre::RenderQueue::RenderQueueGroupMap::GroupVector" ref="ae2839e91c9aa216a7cbabdb8cd4b0599" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap_1_1value__type.html">value_type</a> &gt;::type <a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#ae2839e91c9aa216a7cbabdb8cd4b0599">Ogre::RenderQueue::RenderQueueGroupMap::GroupVector</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueue_8h_source.html#l00120">120</a> of file <a class="el" href="OgreRenderQueue_8h_source.html">OgreRenderQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="af4fe0c695ef8be1b98257188ec9f3ea6"></a><!-- doxytag: member="Ogre::RenderQueue::RenderQueueGroupMap::key_type" ref="af4fe0c695ef8be1b98257188ec9f3ea6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> <a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#af4fe0c695ef8be1b98257188ec9f3ea6">Ogre::RenderQueue::RenderQueueGroupMap::key_type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueue_8h_source.html#l00114">114</a> of file <a class="el" href="OgreRenderQueue_8h_source.html">OgreRenderQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="adac14e31c7638704e307ce0f8c3839de"></a><!-- doxytag: member="Ogre::RenderQueue::RenderQueueGroupMap::mapped_type" ref="adac14e31c7638704e307ce0f8c3839de" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1RenderQueueGroup.html">RenderQueueGroup</a>* <a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#adac14e31c7638704e307ce0f8c3839de">Ogre::RenderQueue::RenderQueueGroupMap::mapped_type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueue_8h_source.html#l00115">115</a> of file <a class="el" href="OgreRenderQueue_8h_source.html">OgreRenderQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a357a5f81804f7101b3de17d68d080e0a"></a><!-- doxytag: member="Ogre::RenderQueue::RenderQueueGroupMap::pointer" ref="a357a5f81804f7101b3de17d68d080e0a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap_1_1value__type.html">value_type</a>* <a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#a357a5f81804f7101b3de17d68d080e0a">Ogre::RenderQueue::RenderQueueGroupMap::pointer</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueue_8h_source.html#l00117">117</a> of file <a class="el" href="OgreRenderQueue_8h_source.html">OgreRenderQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a463c524952c8d1b82e9abfa4084d2716"></a><!-- doxytag: member="Ogre::RenderQueue::RenderQueueGroupMap::reference" ref="a463c524952c8d1b82e9abfa4084d2716" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap_1_1value__type.html">value_type</a>&amp; <a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#a463c524952c8d1b82e9abfa4084d2716">Ogre::RenderQueue::RenderQueueGroupMap::reference</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueue_8h_source.html#l00116">116</a> of file <a class="el" href="OgreRenderQueue_8h_source.html">OgreRenderQueue.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ab0333da5f66027e4242721d00f498cd9"></a><!-- doxytag: member="Ogre::RenderQueue::RenderQueueGroupMap::RenderQueueGroupMap" ref="ab0333da5f66027e4242721d00f498cd9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#ab0333da5f66027e4242721d00f498cd9">Ogre::RenderQueue::RenderQueueGroupMap::RenderQueueGroupMap</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueue_8h_source.html#l00239">239</a> of file <a class="el" href="OgreRenderQueue_8h_source.html">OgreRenderQueue.h</a>.</p>

<p>References <a class="el" href="OgreRenderQueue_8h_source.html#l00076">Ogre::RENDER_QUEUE_MAX</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a460eb2da82a3d0b35cb03402faef6d52"></a><!-- doxytag: member="Ogre::RenderQueue::RenderQueueGroupMap::begin" ref="a460eb2da82a3d0b35cb03402faef6d52" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap_1_1iterator.html">iterator</a> <a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#a460eb2da82a3d0b35cb03402faef6d52">Ogre::RenderQueue::RenderQueueGroupMap::begin</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueue_8h_source.html#l00270">270</a> of file <a class="el" href="OgreRenderQueue_8h_source.html">OgreRenderQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="af2e0bfdbf8a7e1fa2246c8955dbf081a"></a><!-- doxytag: member="Ogre::RenderQueue::RenderQueueGroupMap::begin" ref="af2e0bfdbf8a7e1fa2246c8955dbf081a" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#a4b619649e7e23c4d1882c609b741d53f">const_iterator</a> <a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#a460eb2da82a3d0b35cb03402faef6d52">Ogre::RenderQueue::RenderQueueGroupMap::begin</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueue_8h_source.html#l00280">280</a> of file <a class="el" href="OgreRenderQueue_8h_source.html">OgreRenderQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9003a4f2d9e51418c009ee344bcc925e"></a><!-- doxytag: member="Ogre::RenderQueue::RenderQueueGroupMap::clear" ref="a9003a4f2d9e51418c009ee344bcc925e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#a9003a4f2d9e51418c009ee344bcc925e">Ogre::RenderQueue::RenderQueueGroupMap::clear</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueue_8h_source.html#l00290">290</a> of file <a class="el" href="OgreRenderQueue_8h_source.html">OgreRenderQueue.h</a>.</p>

<p>References <a class="el" href="OgreRenderQueue_8h_source.html#l00076">Ogre::RENDER_QUEUE_MAX</a>.</p>

</div>
</div>
<a class="anchor" id="a1851bb38e49b158195686920f13f2c09"></a><!-- doxytag: member="Ogre::RenderQueue::RenderQueueGroupMap::end" ref="a1851bb38e49b158195686920f13f2c09" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap_1_1iterator.html">iterator</a> <a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#a1851bb38e49b158195686920f13f2c09">Ogre::RenderQueue::RenderQueueGroupMap::end</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueue_8h_source.html#l00275">275</a> of file <a class="el" href="OgreRenderQueue_8h_source.html">OgreRenderQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="acdf7e28a39f67f92e042ab81daa552d5"></a><!-- doxytag: member="Ogre::RenderQueue::RenderQueueGroupMap::end" ref="acdf7e28a39f67f92e042ab81daa552d5" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#a4b619649e7e23c4d1882c609b741d53f">const_iterator</a> <a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#a1851bb38e49b158195686920f13f2c09">Ogre::RenderQueue::RenderQueueGroupMap::end</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueue_8h_source.html#l00285">285</a> of file <a class="el" href="OgreRenderQueue_8h_source.html">OgreRenderQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0da6f5381814fe5173f63016d9c27c49"></a><!-- doxytag: member="Ogre::RenderQueue::RenderQueueGroupMap::find" ref="a0da6f5381814fe5173f63016d9c27c49" args="(uint8 key)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap_1_1iterator.html">iterator</a> <a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#a0da6f5381814fe5173f63016d9c27c49">Ogre::RenderQueue::RenderQueueGroupMap::find</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td>
          <td class="paramname"><em>key</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueue_8h_source.html#l00258">258</a> of file <a class="el" href="OgreRenderQueue_8h_source.html">OgreRenderQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a17731b1d6c673342f896517a81afdb0f"></a><!-- doxytag: member="Ogre::RenderQueue::RenderQueueGroupMap::insert" ref="a17731b1d6c673342f896517a81afdb0f" args="(value_type v)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#a17731b1d6c673342f896517a81afdb0f">Ogre::RenderQueue::RenderQueueGroupMap::insert</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap_1_1value__type.html">value_type</a>&#160;</td>
          <td class="paramname"><em>v</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueue_8h_source.html#l00244">244</a> of file <a class="el" href="OgreRenderQueue_8h_source.html">OgreRenderQueue.h</a>.</p>

<p>References <a class="el" href="OgreRenderQueue_8h_source.html#l00110">Ogre::RenderQueue::RenderQueueGroupMap::value_type::first</a>, and <a class="el" href="OgreRenderQueue_8h_source.html#l00076">Ogre::RENDER_QUEUE_MAX</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ac602d6b828a5817142e2598e4daf86c1"></a><!-- doxytag: member="Ogre::RenderQueue::RenderQueueGroupMap::mGroupVector" ref="ac602d6b828a5817142e2598e4daf86c1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#ae2839e91c9aa216a7cbabdb8cd4b0599">GroupVector</a> <a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#ac602d6b828a5817142e2598e4daf86c1">Ogre::RenderQueue::RenderQueueGroupMap::mGroupVector</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueue_8h_source.html#l00301">301</a> of file <a class="el" href="OgreRenderQueue_8h_source.html">OgreRenderQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a762fda1b2d912eaa507511a94a02e338"></a><!-- doxytag: member="Ogre::RenderQueue::RenderQueueGroupMap::mMaxID" ref="a762fda1b2d912eaa507511a94a02e338" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> <a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#a762fda1b2d912eaa507511a94a02e338">Ogre::RenderQueue::RenderQueueGroupMap::mMaxID</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueue_8h_source.html#l00300">300</a> of file <a class="el" href="OgreRenderQueue_8h_source.html">OgreRenderQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4bb3cfbdf6932a106ad5734ff345734a"></a><!-- doxytag: member="Ogre::RenderQueue::RenderQueueGroupMap::mMinID" ref="a4bb3cfbdf6932a106ad5734ff345734a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> <a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html#a4bb3cfbdf6932a106ad5734ff345734a">Ogre::RenderQueue::RenderQueueGroupMap::mMinID</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueue_8h_source.html#l00299">299</a> of file <a class="el" href="OgreRenderQueue_8h_source.html">OgreRenderQueue.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreRenderQueue_8h_source.html">OgreRenderQueue.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:03
</p>
</body>
</html>
